×

Discussion Board

Results 1 to 7 of 7
  1. #1
    Registered User
    Join Date
    Jan 2010
    Posts
    27

    Compiling QT Mobility GCCE or ARMV5?

    Hi, I've installed the QTMobility Files (EPOC) to my sdk , and when I try to compile using GCCE it says this ..
    However all libraries are installed succesfully... but not found in GCCE ? does QT Mobility support GCCE? or just ARMV5?
    \S60\devices\S60_3rd_FP2_SDK_v1.1_2\epoc32\release\ARMV5\urel\xqTelephony.lib: No such file: No such file or directory

  2. #2
    Registered User
    Join Date
    Jul 2009
    Posts
    73

    Re: Compiling QT Mobility GCCE or ARMV5?

    no help plz ?

  3. #3
    Super Contributor
    Join Date
    Mar 2009
    Posts
    1,024

    Re: Compiling QT Mobility GCCE or ARMV5?

    Hi,
    According to the configure.bat it supports both.

  4. #4
    Super Contributor
    Join Date
    Mar 2008
    Posts
    1,481

    Re: Compiling QT Mobility GCCE or ARMV5?

    Hi,

    We should be able to compile from gcce. Looks to me problem is with the library itself.
    What version of Qt you are using?
    From where you are linking to this with xqTelephony.lib ?
    Can you try to use XQTelephony from http://wiki.forum.nokia.com/index.ph..._Telephony_API
    Last edited by mahbub_s60; 2010-06-14 at 10:18.

  5. #5
    Registered User
    Join Date
    Jul 2009
    Posts
    73

    Re: Compiling QT Mobility GCCE or ARMV5?

    1. Version Q6.4.3
    2. using -lxtelephonu.lib in .pro

    The extension itself doesn't have a GCCE folder , just ARMV5 for libraries

  6. #6
    Super Contributor
    Join Date
    Mar 2009
    Posts
    1,024

    Re: Compiling QT Mobility GCCE or ARMV5?

    Sorry could you tell me which .pro file uses -lxtelephonu.lib.

  7. #7
    Super Contributor
    Join Date
    Mar 2008
    Posts
    1,481

    Re: Compiling QT Mobility GCCE or ARMV5?

    Hi,

    Now it looks the best way to solve your problem is that use the mobile extension library source code to your project and compile it with your project. So modify your pro file (remove lxtelephonu.lib and add the source code and header file info) and just use the already developed code to your project. Depending on technology area you are using, you may need SDK plug in (that can be found from FN.com). Those library (xtelephonu.lib. DLL etc) are not compatible with Qt 4.6.x.
    If you have further question please ask.

Similar Threads

  1. armv5 gcce compatibility
    By MrAlt in forum Symbian
    Replies: 5
    Last Post: 2012-09-24, 13:13
  2. Compiling Qt Mobility Problem
    By skumar_rao in forum [Archived] Qt Mobility Project
    Replies: 8
    Last Post: 2010-01-07, 00:13
  3. Compiling Qt on Carbide.c++ ARMV5
    By kalastaja in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 1
    Last Post: 2009-09-16, 11:50
  4. ARMv5 VS GCCE
    By shadow-2005 in forum Symbian
    Replies: 0
    Last Post: 2009-06-03, 05:01
  5. Which is better ARMV5 or GCCE?
    By ash_bhatia in forum Symbian
    Replies: 4
    Last Post: 2006-05-30, 16:08

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •